[JHBuild] Add gstreamer-vaapi in moduleset
authorphiln@webkit.org <philn@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 31 Jan 2018 16:11:57 +0000 (16:11 +0000)
committerphiln@webkit.org <philn@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 31 Jan 2018 16:11:57 +0000 (16:11 +0000)
commit72a8efb824a50bf71f1470f345504a6f011d23dd
treef9a139b436ae6a8d41ecdfd411e032194cfdf6c1
parent5d286a4c2652416605c14bd9919253e4d733b995
[JHBuild] Add gstreamer-vaapi in moduleset
https://bugs.webkit.org/show_bug.cgi?id=182283

Reviewed by Carlos Alberto Lopez Perez.

GStreamer-VAAPI is required for hardware-accelerated video
playback support on Intel and AMD (using radeosi driver)
platforms.

* gstreamer/jhbuild.modules: Add gstreamer-vaapi.
* gtk/install-dependencies: Install libva.
* wpe/install-dependencies: Ditto.
* Scripts/webkitpy/port/gtk.py:
(GtkPort.setup_environ_for_server): Disable va-api support when
testing because it's incompatible with Mesa's softGL driver.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@227901 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Tools/ChangeLog
Tools/Scripts/webkitpy/port/gtk.py
Tools/gstreamer/jhbuild.modules
Tools/gtk/install-dependencies
Tools/wpe/install-dependencies